package ru.yandex.direct.web.entity.feature.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;


public class SetFeatureStateItem {
    final private String feature;
    final private boolean enabled;

    @JsonCreator
    public SetFeatureStateItem(
            @JsonProperty("feature") String feature,
            @JsonProperty("enabled") boolean enabled
    ) {
        this.feature = feature;
        this.enabled = enabled;
    }

    public String getFeature() {
        return feature;
    }

    public boolean isEnabled() {
        return enabled;
    }
}
